
.ant-picker {
    box-sizing: border-box;
    margin: 0;
    background-color: var(--bg_layer4) !important;
    color: var(--text_001) !important;
    font-size: 10px !important;
    font-variant: tabular-nums;
    line-height: 1.5715;
    list-style: none;
    font-feature-settings: "tnum";
    /*padding: 2px 5px;*/
    width: 100%;
    position: relative;
    display: inline-flex;
    align-items: center;
    border: 1px solid var(--border_color_inputs) !important;
    border-radius: 3px;
    transition: border .3s,box-shadow .3s;
    height: 24px !important;
}
.ant-picker .ant-picker-input > input {
    color: var(--text_001);
    font-size: 10px !important;
    text-align: center;
}
.ant-picker .ant-picker-input > input[disabled] {
    color: var(--text_001);
    font-size: 10px !important;
    text-align: center;
}
.ant-picker-dropdown .ant-picker-year-panel .ant-picker-content {
    height: 175px !important;
    width: 100% !important;
}
/*.ant-picker-content {*/
/*    display: block !important;*/
/*    width: 100% !important;*/
/*}*/
/*.ant-picker-body {*/
/*    width: 100% !important;*/
/*}*/
/*.ant-picker-cell-inner {*/
/*    display: flex !important;*/
/*    !*width: 100% !important;*!*/
/*}*/
/*.ant-picker-cell {*/
/*    height: 100%;*/
/*}*/
.ant-picker-dropdown .ant-picker-panel-container {
    color: var(--text_001);
    height: 80% !important;
    background-color: var(--bg_inputs);
    border: 1px solid var(--border_color_inputs);
}
.ant-picker-dropdown .ant-picker-header {
    color: var(--blue_alert);
}
.ant-picker-dropdown .ant-picker-header button {
    display: inline-flex;
    width: auto;
    align-items: center;
}

/*noinspection CssUnusedSymbol*/
:where(.css-1xg9z9n).ant-picker-dropdown .ant-picker-year-panel .ant-picker-cell-inner,
:where(.css-1xg9z9n).ant-picker-dropdown .ant-picker-quarter-panel .ant-picker-cell-inner,
:where(.css-1xg9z9n).ant-picker-dropdown .ant-picker-month-panel .ant-picker-cell-inner {
    /* width: 60px; */
    text-align: center;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
/*.ant-picker-focused {*/
/*    border-color: var(--ant-primary-color-hover);*/
/*    box-shadow: 0 0 0 1px var(--ant-primary-color-outline);*/
/*    border-right-width: 1px;*/
/*    outline: 0;*/
/*}*/
/*.ant-picker-range {*/
/*  !*position: relative;*!*/
/*  !*display: inline-flex;*!*/
/*  width: 100%;*/
/*  line-height: 26px !important;*/
/*}*/
/*.ant-picker.ant-picker-borderless {*/
/*    background-color: transparent!important;*/
/*    border-color: transparent!important;*/
/*    box-shadow: none!important;*/
/*}*/
/*.ant-picker-input {*/
/*    position: relative;*/
/*    display: inline-flex;*/
/*    align-items: center;*/
/*    width: 100%;*/
/*    height: 100%;*/
/*    padding: 2px 5px;*/
/*    line-height: 26px !important;*/
/*}*/
/*.ant-picker-input>input {*/
/*    font-size: 10px !important;*/
/*    text-align: center !important;*/
/*}*/
/*.ant-picker-separator {*/
/*    position: relative;*/
/*    display: flex;*/
/*    width: 1em;*/
/*    height: 100%;*/
/*    color: var(--text_001);*/
/*    font-size: 16px;*/
/*    vertical-align: top;*/
/*    cursor: default;*/
/*}*/
/*.ant-picker.ant-picker-disabled .ant-picker-suffix {*/
/*    color: var(--text_001);*/
/*}*/

/*.ant-picker-range-arrow {*/
/*    background-color: var(--bg_inputs);*/
/*}*/
/*.ant-picker-range-arrow:before {*/
/*    background-color: var(--bg_inputs);*/
/*}*/
/*.ant-picker-panel-container .ant-picker-panels {*/
/*    color: var(--text_001);*/
/*    background-color: var(--bg_inputs);*/
/*    border: 1px solid var(--border_color_inputs);*/
/*}*/
/*.ant-picker-content th {*/
/*    height: 30px;*/
/*    color: var(--text_001);*/
/*    text-decoration: underline;*/
/*    line-height: 30px;*/
/*}*/

/*!* CLEAR BUTTON WITHIN THE RANGE SELECTION *!*/
/*.ant-picker-clear {*/
/*    !*position: absolute;*!*/
/*    !*top: 50%;*!*/
/*    !*right: 0;*!*/
/*    !*color: rgba(0,0,0,.25);*!*/
/*    !*line-height: 1;*!*/
/*    color: var(--text_001);*/
/*    background: var(--bg_layer4);*/
/*    !*padding: 2px 5px;*!*/
/*    !*transform: translateY(-50%);*!*/
/*    !*cursor: pointer;*!*/
/*    !*opacity: 0;*!*/
/*    !*transition: opacity .3s,color .3s;*!*/
/*}*/
/*.ant-picker-clear:hover {*/
/*    color: var(--ant-primary-color);*/
/*}*/
/*.ant-picker-range.ant-picker-small .ant-picker-clear {*/
/*    right: 5px;*/
/*}*/


/*.ant-picker-input>input {*/
/*    font-size: 11px;*/
/*    width: 100%;*/
/*    background-color: transparent !important;*/
/*    !*position: relative;*!*/
/*    !*display: inline-block;*!*/
/*    !*min-width: 0;*!*/
/*    !*color: rgba(0,0,0,.85);*!*/
/*    !*line-height: 1.5715;*!*/
/*    !*!*background-color: #fff;*!*!*/
/*    !*background: transparent;*!*/
/*    !*background-image: none;*!*/
/*    !*border-radius: 2px;*!*/
/*    !*transition: all .3s;*!*/
/*    !*flex: auto;*!*/
/*    !*height: auto;*!*/
/*    !*padding: 0;*!*/
/*    !*border: 0;*!*/
/*}*/
/*.ant-picker-cell {*/
/*    !*padding: 0;*!*/
/*    !*padding: 3px 0;*!*/
/*    !*color: rgba(0,0,0,.25);*!*/
/*    color: var(--text_001);*/
/*    !*cursor: pointer;*!*/
/*    border: none !important;*/
/*}*/
/*.ant-picker-dropdown .ant-picker-cell-in-view {*/
/*    color: #fff;*/
/*    !*color: rgba(0,0,0,.85);*!*/
/*}*/
/*.ant-picker-cell-disabled {*/
/*    opacity: .5;*/
/*    !*color: rgba(0,0,0,.25) !important;*!*/
/*    pointer-events: none;*/
/*    !*background-color: rgba(0,0,0,.04) !important;*!*/
/*}*/

/*.ant-picker-dropdown .ant-picker-header>button {*/
/*    min-width: 1.6em;*/
/*    width: 25px;*/
/*    font-size: 14px !important;*/
/*    color: var(--text_001) !important;*/
/*}*/
/*.ant-picker-header-view button {*/
/*    color: var(--text_001);*/
/*    font-size: 13px;*/
/*    font-weight: inherit;*/
/*    width: unset;*/
/*    display: unset;*/
/*}*/
/*.ant-picker-cell-disabled:before {*/
/*    background: transparent;*/
/*}*/
/*.ant-picker-dropdown .ant-picker-panel-container .ant-picker-panel .ant-picker-content,*/
/*.ant-picker-dropdown .ant-picker-panel-container .ant-picker-panel table {*/
/*    height: 80%;*/
/*}*/

/*.ant-picker-decade-panel .ant-picker-content, .ant-picker-month-panel .ant-picker-content, .ant-picker-quarter-panel .ant-picker-content, .ant-picker-year-panel .ant-picker-content {*/
/*    height: 80%;*/
/*    !*height: 264px;*!*/
/*}*/
/*.ant-picker-dropdown .ant-picker-cell .ant-picker-cell-inner {*/
/*    width: 100%;*/
/*    position: relative;*/
/*    z-index: 2;*/
/*    display: inline-block;*/
/*    min-width: 24px;*/
/*    height: 24px;*/
/*    line-height: 24px;*/
/*    border-radius: 2px;*/
/*    transition: background .3s,border .3s;*/
/*    !* background: transparent !important; *!*/
/*}*/
/*.ant-picker-cell .ant-picker-cell-inner:after {*/
/*    width: 100%;*/
/*    padding: 0 !important;*/
/*    left: 0 !important;*/
/*}*/
/*.ant-picker-decade-panel .ant-picker-cell-inner, .ant-picker-month-panel .ant-picker-cell-inner, .ant-picker-quarter-panel .ant-picker-cell-inner, .ant-picker-year-panel .ant-picker-cell-inner {*/
/*    padding: 0 !important;*/
/*    !* padding: 0 8px; *!*/
/*}*/

/*.ant-picker-dropdown .ant-picker-cell-in-view.ant-picker-cell-in-range:not(.ant-picker-cell-disabled):before,*/
/*.ant-picker-dropdown .ant-picker-cell-in-view.ant-picker-cell-range-start:not(.ant-picker-cell-disabled):before,*/
/*.ant-picker-dropdown .ant-picker-cell-in-view.ant-picker-cell-range-end:not(.ant-picker-cell-disabled):before {*/
/*    color: #fff !important;*/
/*    background: var(--ant-primary-color);*/
/*    width: 100%;*/
/*}*/

/*.ant-picker-cell-in-view.ant-picker-cell-range-end .ant-picker-cell-inner, .ant-picker-cell-in-view.ant-picker-cell-range-start .ant-picker-cell-inner,*/
/*.ant-picker-cell-in-view.ant-picker-cell-selected .ant-picker-cell-inner {*/
/*    color: #fff !important;*/
/*    background: var(--ant-primary-color) !important;*/
/*    width: 100%;*/
/*}*/
/*.ant-picker-cell-in-view:after {*/
/*    !*width: 100%;*!*/
/*    left: 0 !important;*/
/*    right: 0 !important;*/
/*}*/
/*.ant-picker.ant-picker-disabled {*/
/*    background-color: var(--bg_layer4_highlight) !important;*/
/*    !*background: var(--DisabledInputs);*!*/
/*    border-color: var(--border_color_inputs) !important;*/
/*    cursor: not-allowed;*/
/*}*/